summaryrefslogtreecommitdiffstats
path: root/office/aigaion
diff options
context:
space:
mode:
Diffstat (limited to 'office/aigaion')
-rw-r--r--office/aigaion/README14
-rw-r--r--office/aigaion/aigaion.SlackBuild73
-rw-r--r--office/aigaion/aigaion.info8
-rw-r--r--office/aigaion/slack-desc19
4 files changed, 114 insertions, 0 deletions
diff --git a/office/aigaion/README b/office/aigaion/README
new file mode 100644
index 0000000000..251fda76cb
--- /dev/null
+++ b/office/aigaion/README
@@ -0,0 +1,14 @@
+Aigaion Web-based Bibliography Management System
+
+Aigaion provides a bibliography management software environment
+that supports a user in organizing and managing a complete
+bibliography, from small bibliographies to bibliographies for a
+complete research department.
+
+To complete installation:
+
+ 1) Create a new MySQL database '<db_aigaion2>', with an appropriate user.
+ The database is empty.
+ 2) Point your browser to http://<server>/<aigaion2_rootdir>/install/install.php
+
+From there on, follow the instructions on the screen.
diff --git a/office/aigaion/aigaion.SlackBuild b/office/aigaion/aigaion.SlackBuild
new file mode 100644
index 0000000000..440592c051
--- /dev/null
+++ b/office/aigaion/aigaion.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for Aigaion
+
+# Written by Joel J. Adamson <adamsonj@email.unc.edu>
+
+PRGNAM=aigaion
+VERSION=${VERSION:-2_1_2}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+MAJORVERSION=2
+DOCROOT=${DOCROOT:-/var/www/htdocs}
+ATTACH=${ATTACH:-$PKG/$DOCROOT/$PRGNAM$MAJORVERSION/attachments}
+
+PHPUSER=${PHPUSER:-root}
+PHPGROUP=${PHPGROUP:-apache}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG $TMP/$PRGNAM${MAJORVERSION}
+mkdir -p $TMP $PKG/$DOCROOT $OUTPUT
+cd $TMP
+unzip $CWD/$PRGNAM$VERSION.zip
+cd $PRGNAM${MAJORVERSION}
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cp -a $TMP/$PRGNAM$MAJORVERSION $PKG/$DOCROOT
+
+# there is an extra unpacking step
+# install.zip is packed inside the main zip file
+cd $PKG/$DOCROOT/$PRGNAM$MAJORVERSION/install
+unzip install.zip
+mkdir -p $ATTACH
+
+chown -R $PHPUSER:$PHPGROUP $PKG/$DOCROOT/$PRGNAM$MAJORVERSION
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cd $PKG/$DOCROOT/$PRGNAM$MAJORVERSION
+cp -a \
+ _INSTALL.txt _UPDATE.txt _OLD_MYSQL.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
diff --git a/office/aigaion/aigaion.info b/office/aigaion/aigaion.info
new file mode 100644
index 0000000000..49a3d08ab3
--- /dev/null
+++ b/office/aigaion/aigaion.info
@@ -0,0 +1,8 @@
+PRGNAM="aigaion"
+VERSION="2_1_2"
+HOMEPAGE="http://www.aigaion.nl/index.php?page=home"
+DOWNLOAD="http://downloads.sourceforge.net/aigaion/aigaion2_1_2.zip"
+MD5SUM="cdf546a57e56cf3ad0832df570dc2b98"
+MAINTAINER="Joel J. Adamson"
+EMAIL="adamsonj@email.unc.edu"
+APPROVED="rworkman"
diff --git a/office/aigaion/slack-desc b/office/aigaion/slack-desc
new file mode 100644
index 0000000000..8d5b7c4dee
--- /dev/null
+++ b/office/aigaion/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+aigaion: Aigaion (Web-based Bibliography Management System)
+aigaion:
+aigaion: Aigaion provides a bibliography management software environment
+aigaion: that supports a user in organizing and managing a complete
+aigaion: bibliography, from small bibliographies to bibliographies for a
+aigaion: complete research department.
+aigaion:
+aigaion: Homepage: http://www.aigaion.nl/index.php?page=home
+aigaion:
+aigaion:
+aigaion: